<?php

namespace debug;

use debug\Main;

class DebugShell {

    public function __construct(Main $main) {
        $this->main = $main;
    }

    public function execCmd(array $cmd) {
        if ($cmd[0] === "exit") {
            echo "[ServerDebugger] デバッガーShellを終了します…" . PHP_EOL;
            return false;
        } elseif ($cmd[0] === "help") {
            foreach (scandir(__DIR__ . "/commands/") as $command_names) {
                if (($command_names === ".") or ($command_names === "..")) {
                    continue;
                }
                $cmdname = basename(__DIR__ . "/commands/" . $command_names, ".php");
                if (!file_exists(__DIR__ . "/commands_help/" . $cmdname . ".php")) {
                    echo $cmdname . "のヘルプはありません。" . PHP_EOL;
                } else {
                    echo PHP_EOL;
                    require(__DIR__ . "/commands_help/" . $cmdname . ".php");
                }
            }
        } elseif (file_exists(__DIR__ . "/commands/" . $cmd[0] . ".php")) {
            $result = require(__DIR__ . "/commands/" . $cmd[0] . ".php");
            if ($result === false) {
                return false;
            }
        } else {
            echo "そのコマンドは存在しません。コマンドリストを取得するには\"help\"を実行してください。" . PHP_EOL;
        }
        return true;
    }

}